Package org.flowable.eventregistry.api.model

# Interface InboundChannelModelBuilder.InboundRabbitChannelBuilder

Enclosing interface:
  `InboundChannelModelBuilder`

public static interface InboundChannelModelBuilder.InboundRabbitChannelBuilder
Builder to create an `InboundEventChannelAdapter` using RabbitMQ.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InboundChannelModelBuilder.InboundRabbitChannelBuilder`
  `ackMode(String ackMode)`
  Sets the AckMode (e.g.
  `InboundChannelModelBuilder.InboundRabbitChannelBuilder`
  `admin(String admin)`
  Bean name of a org.springframework.amqp.rabbit.core.RabbitAdmin instance.
  `InboundChannelModelBuilder.InboundRabbitChannelBuilder`
  `concurrency(String concurrency)`
  Sets the concurrency for the listener.
  `InboundChannelModelBuilder.InboundEventProcessingPipelineBuilder`
  `eventProcessingPipeline()`
  Continue building the `InboundChannelModel` by configuring the next parts (if any).
  `InboundChannelModelBuilder.InboundRabbitChannelBuilder`
  `exclusive(boolean exclusive)`
  Sets whether this adapter will be the only consumer of messages of the provided queue(s).
  `InboundChannelModelBuilder.InboundRabbitChannelBuilder`
  `executor(String executor)`
  Bean name of a TaskExecutor instance used to process incoming messages.
  `InboundChannelModelBuilder.InboundRabbitChannelBuilder`
  `priority(String priority)`
  Sets the priority of this adapter.

- ## Method Details

  - ### exclusive

    InboundChannelModelBuilder.InboundRabbitChannelBuilder exclusive(boolean exclusive)
    Sets whether this adapter will be the only consumer of messages of the provided queue(s). See the Spring Rabbit docs for more info.

  - ### priority

    InboundChannelModelBuilder.InboundRabbitChannelBuilder priority(String priority)
    Sets the priority of this adapter. See the Spring Rabbit docs for more info.

  - ### admin

    InboundChannelModelBuilder.InboundRabbitChannelBuilder admin(String admin)
    Bean name of a org.springframework.amqp.rabbit.core.RabbitAdmin instance. See the Spring Rabbit docs for more info.

  - ### concurrency

    InboundChannelModelBuilder.InboundRabbitChannelBuilder concurrency(String concurrency)
    Sets the concurrency for the listener. See the Spring JMS docs for more info.

  - ### executor

    InboundChannelModelBuilder.InboundRabbitChannelBuilder executor(String executor)
    Bean name of a TaskExecutor instance used to process incoming messages.

  - ### ackMode

    InboundChannelModelBuilder.InboundRabbitChannelBuilder ackMode(String ackMode)
    Sets the AckMode (e.g. NONE/MANUAL/AUTO). See the Spring JMS docs for more info.

  - ### eventProcessingPipeline

    InboundChannelModelBuilder.InboundEventProcessingPipelineBuilder eventProcessingPipeline()
    Continue building the `InboundChannelModel` by configuring the next parts (if any).